# Copyright (c) 2015 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

AUTHOR = 'harpreet'
NAME = 'network_ChromeCellularEndToEnd'
TIME = 'FAST'
TEST_TYPE = 'client'
PY_VERSION = 3
DOC = """
  Client side of the end to end Cellular test which is called by the
  cellular_ChromeEndToEnd server test that cold reboots the DUT before
  running the client test.

  Tests the following UI functionality with chrome.networkingPrivate:
  * Find available cellular networks.
  * Ethernet is preferred over Cellular when both are connected.
  * Disable / Enable cellular.
"""

job.run_test('network_ChromeCellularEndToEnd',
             test='test')
